Name:           cmap-japan
Version:        1.6
Release:        1%{?dist}
Summary:        Adobe PDF character map data

Group:          Development/Libraries
License:        BSD
URL:            http://sourceforge.net/projects/cmap.adobe/

Source0:        http://sourceforge.net/projects/cmap.adobe/files/cmapresources_japan1-6.tar.z

#Documentation file sources
Source1:        http://sourceforge.net/projects/cmap.adobe/files/readme.mkd
Source2:        http://sourceforge.net/projects/cmap.adobe/files/current-versions.txt

BuildArch:      noarch

%description
CMap (Character Map) resources are used to unidirectionally
map character codes, such as a Unicode encoding form, to CIDs
(Characters IDs, meaning glyphs) of a CIDFont resource.

This package contains the Japanese cmap resources.

%prep
%setup -q -c

%build
# Currently this is empty
# We may have to add a script of some kind here

%install
mkdir -p %{buildroot}%{_datadir}/cmap/%{name}-%{version}
mkdir -p %{buildroot}%{_docdir}/cmap/%{name}-%{version}
cp -pr aj16/* %{buildroot}%{_datadir}/cmap/%{name}-%{version}
rm -rf _tmpdoc ; mkdir _tmpdoc
install -p -m0644 %SOURCE1 %SOURCE2 _tmpdoc

%files
# We need to co-own the cmap directory
%dir %{_datadir}/cmap
%{_datadir}/cmap/%{name}-%{version}

%doc _tmpdoc/*

%changelog
* Thu Jun 20 2013 'Ben Rosser' <rosser.bjr@gmail.com> 1.6-1
- Gave this package ownership of /usr/share/cmap, this will be co-owned

* Mon Jun 17 2013 'Ben Rosser' <rosser.bjr@gmail.com> 1.6-0
- Switched to using separate packages for all cmap tarballs
- Switched to actual versioning rather than snapshot versioning

* Tue Jan 29 2013 'Ben Rosser' <rosser.bjr@gmail.com> 0-1.20120920snap
- Change to snapshot versioning
- Clean up redundancies in prep and install sections
- Using versioned documentation dir (tmpdoc)

* Thu Sep 20 2012 'Ben Rosser' <rosser.bjr@gmail.com> 0-0.20120920snap
- First version of package
